> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Event

> Update event description and its linked schema.



## OpenAPI

````yaml PATCH /v1/{workspace}/event/{url_encoded_event_name}/
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/{workspace}/event/{url_encoded_event_name}/:
    patch:
      summary: Update Event
      description: Update event description and its linked schema.
      operationId: update-event
      parameters:
        - in: path
          name: workspace
          required: true
          schema:
            type: string
          description: Workspace slug (staging, production, etc.)
        - in: path
          name: url_encoded_event_name
          required: true
          schema:
            type: string
          description: URL encoded event name
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                description:
                  type: string
                  description: >-
                    Description of the event. Can be used to describe which
                    action this event is linked to.
                  example: >-
                    Triggered whenever a new user successfully signs up on the
                    platform
                payload_schema:
                  type: object
                  required:
                    - schema
                  properties:
                    schema:
                      type: string
                      description: >-
                        Linked schema slug to validate event properties
                        structure. You can create a schema via [Create
                        Schema](/reference/create-schema) endpoint and then link
                        it here.
                      example: user_signup_v1
                    version_no:
                      type: integer
                      description: >-
                        Schema version number to link. By default, live version
                        is always picked for validation.
                      example: null
              example:
                description: >-
                  Triggered whenever a new user successfully signs up on the
                  platform
                payload_schema:
                  schema: user_signup_v1
      responses:
        '200':
          description: Updated event details
          content:
            application/json:
              schema:
                type: object
              example:
                name: user_signup
                description: >-
                  Triggered whenever a new user successfully signs up on the
                  platform
                payload_schema:
                  schema: user_signup_v1
                  version_no: 1
                created_at: '2025-08-27T09:30:57.945326Z'
                $schema: https://schema.suprsend.com/event/v1/schema.json
        '400':
          description: Invalid event format
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: HTTP status code
                    example: 400
                  error_code:
                    type: string
                    description: Error code identifier
                    example: error
                  type:
                    type: string
                    description: Error type
                    example: ValidationError
                  message:
                    type: string
                    description: Error message
                    example: '{"payload_schema": ["Schema is required"]}'
                  detail:
                    type: object
                    description: Detailed error information
                    example:
                      payload_schema:
                        - Schema is required
              example:
                code: 400
                error_code: error
                type: ValidationError
                message: '{"payload_schema": ["Schema is required"]}'
                detail:
                  payload_schema:
                    - Schema is required
        '401':
          $ref: '#/components/responses/AuthenticationError'
          description: AuthenticationFailed - Invalid service token.
      security:
        - ServiceTokenAuth: []
      servers:
        - url: https://management-api.suprsend.com
      x-codeSamples:
        - lang: cURL
          label: Update Event
          source: >
            curl -X POST
            "https://management-api.suprsend.com/v1/{workspace}/event/{url_encoded_event_name}/"
            \
              --header 'Authorization: ServiceToken <token>' \
              --header 'Content-Type: application/json' \
              --data '{
                "description": "Triggered whenever a new user successfully signs up on the platform",
                "payload_schema": {
                  "schema": "user_signup_v1"
                }
              }'
components:
  responses:
    AuthenticationError:
      description: Authentication failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: 401
            error_code: authentication_failed
            type: AuthenticationFailed
            message: Invalid service token.
            detail: Invalid service token.
  schemas:
    ErrorResponse:
      type: object
      properties:
        code:
          type: integer
          description: HTTP status code
        error_code:
          type: string
          description: Specific error code identifier
        type:
          type: string
          description: Error type classification
        message:
          type: string
          description: Human-readable error message
        detail:
          type: string
          description: Additional error details
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.
    ServiceTokenAuth:
      type: apiKey
      in: header
      name: ServiceToken <token>
      description: >-
        You can get Service Token from [SuprSend dashboard -> Account Settings
        -> Service
        Tokens](https://app.suprsend.com/en/account-settings/service-tokens)
        section.

````